#-----------------------------------------------------------------------------
%{?!dist:	%define		dist	.ok}
%bcond		test		0
%define		__python	/usr/bin/python3
%define		sname		%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	python-augeas
Version		:	1.1.0
Release		:	17.0.10.rel%{?dist}
Summary		:	Python bindings to augeas

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	https://pypi.org/project/python-augeas/#files

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	%{__python}
BuildRequires	:	python-build
BuildRequires	:	python-flit-core
BuildRequires	:	python-installer
BuildRequires	:	python3-setuptools
BuildRequires	:	python-wheel

BuildRequires	:	python3-cffi
BuildRequires	:	python3-pycparser

%if %{with test}
BuildRequires	:	python-attrs
BuildRequires	:	python-py
BuildRequires	:	python-build
BuildRequires	:	python3-iniconfig
BuildRequires	:	python-packaging
BuildRequires	:	python-pep517
BuildRequires	:	python3-pluggy
BuildRequires	:	python-pyparsing
BuildRequires	:	python3-pytest
BuildRequires	:	python3-tomli
BuildRequires	:	python-wheel
%endif

Requires	:	%{__python}

BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description
python-augeas is a set of Python bindings around augeas.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS README.txt
%license COPYING
%{python3_sitelib}/*.py
%{python3_sitelib}/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/*.py
%{python3_sitelib}/%{sname}/__pycache__/*.pyc
%{python3_sitelib}/test/*.py
%{python3_sitelib}/test/__pycache__/*.pyc
%{python3_sitelib}/python_%{sname}-%{version}.dist-info/

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%{__python}						\
	-m build					\
	--wheel						\
	--skip-dependency-check				\
	--no-isolation					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
%if %{with test}
%{__python}						\
	-m pytest
%endif

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	-m installer					\
	--destdir=%{buildroot}				\
	dist/*.whl					\

#-----------------------------------------------------------------------------
%changelog
